//------------------------------------------------------------------------------------
// irr::scene::IMeshSceneNode wrappers (parent is ISceneNode)
//------------------------------------------------------------------------------------

extern "C"
{
	void IrrScene_IMeshSceneNode_setMesh(IMeshSceneNode* node,IMesh* mesh)
	{
		if (node)
			node->setMesh(mesh);
	}

	void IrrScene_IMeshSceneNode_setReadOnlyMaterials(IMeshSceneNode* node,bool readonly)
	{
		if (node)
			node->setReadOnlyMaterials(readonly);
	}

	//! Returns if the scene node should not copy the materials of the mesh but use them in a read only style
	bool IrrScene_IMeshSceneNode_isReadOnlyMaterials(IMeshSceneNode* node)
	{
		if (node)
			return node->isReadOnlyMaterials();
		else return false;
	}
	
	IMesh* IrrScene_IMeshSceneNode_getMesh(IMeshSceneNode* node)
	{
		if (node)
			return node->getMesh();
		else return 0;
	}
}

